ranges::v3::find_end_fn Struct Reference
Algorithms

## Public Member Functions

template<typename I1 , typename S1 , typename I2 , typename S2 , typename R = equal_to, typename P = ident, requires = (ForwardIterator<I1>() && Sentinel<S1, I1>() && ForwardIterator<I2>() && Sentinel<S2, I2>() && IndirectRelation<R, projected<I1, P>, I2>())>
I1 | operator() (I1 begin1, S1 end1, I2 begin2, S2 end2, R pred=R{}, P proj=P{}) const
template<typename Rng1 , typename Rng2 , typename R = equal_to, typename P = ident, typename I1 = iterator_t<Rng1>, typename I2 = iterator_t<Rng2>, requires = (ForwardRange<Rng1>() && ForwardRange<Rng2>() && IndirectRelation<R, projected<I1, P>, I2>())>
safe_iterator_t< Rng1 > | operator() (Rng1 &&rng1, Rng2 &&rng2, R pred=R{}, P proj=P{}) const